Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class ClusteringUtilities

    java.lang.Object
      oracle.ifs.common.ClusteringUtilities

Direct Known Subclasses:
  TieClusteringUtilities

    public class ClusteringUtilities

extends java.lang.Object

ClusteringUtilities is a set of static utility convenience methods for performing clustering operations for UOA.

Field Summary
`static java.lang.String[]` | `DEFAULT_DECLARED_AGENT_IDENTIFIERS` Default value for the clustering property that contains the set of disabled agent identifiers.
`static java.lang.String[]` | `DEFAULT_DECLARED_AGENT_NODES` Default value for the clustering property that contains the set of declared nodes that will service agents.
`static java.lang.String[]` | `DEFAULT_DISABLED_AGENT_IDENTIFIERS` Default value for the clustering property that contains the set of disabled agent identifiers.
`static boolean` | `DEFAULT_EVENT_NOTIFICATION_ENABLED` Default value for the clustering property that indicates whether automatic event notification is enabled.
`static java.lang.String` | `DEFAULT_REGISTRATION_PERIOD` Default value for the clustering property that holds the period for refreshing token registration.
`static long` | `DEFAULT_REGISTRATION_PERIOD_VALUE` Default numeric value for the default registration period, in milliseconds.
`static java.lang.String` | `NODE_REGISTRATION_TYPE_ACTIVE` The Registration type value used classify active node registrations.
`static java.lang.String` | `NODE_REGISTRATION_TYPE_EXPIRED` The Registration type value used classify expired node registrations.
`static java.lang.String` | `PROPERTY_DECLARED_AGENT_IDENTIFIERS` The name of the clustering property that contains the set of declared agent identifiers.
`static java.lang.String` | `PROPERTY_DECLARED_AGENT_NODES` The name of the clustering property that contains the set of declared nodes that will service agents.
`static java.lang.String` | `PROPERTY_DISABLED_AGENT_IDENTIFIERS` The name of the clustering property that contains the set of disabled agent identifiers.
`static java.lang.String` | `PROPERTY_EVENT_NOTIFICATION_ENABLED` The name of the clustering property that indicates whether automatic event notification is enabled.
`static java.lang.String` | `PROPERTY_REGISTRATION_PERIOD` The name of the clustering property that holds the time period for re-checking a server's registration state.
`static java.lang.String` | `SYSTEM_AGENT_TOKEN_CREATED` The event type key for the "Agent token created" SYSTEM operation.
`static java.lang.String` | `SYSTEM_AGENT_TOKEN_FREED` The event type key for the "Agent token freed" SYSTEM operation.
`static java.lang.String` | `SYSTEM_AGENT_TOKEN_REGISTREE_ADDED` The event type key for the "Agent token registree added" SYSTEM operation.
`static java.lang.String` | `SYSTEM_AGENT_TOKEN_REGISTREE_EXPIRED` The event type key for the "Agent token registree expired" SYSTEM operation.
`static java.lang.String` | `SYSTEM_AGENT_TOKEN_REGISTREE_REMOVED` The event type key for the "Agent token registree removed" SYSTEM operation.
`static java.lang.String` | `SYSTEM_AGENT_TOKEN_STANDBY_ADDED` The event type key for the "Agent token standby added" SYSTEM operation.
`static java.lang.String` | `SYSTEM_AGENT_TOKEN_STANDBY_EXPIRED` The event type key for the "Agent token standby expired" SYSTEM operation.
`static java.lang.String` | `SYSTEM_AGENT_TOKEN_STANDBY_REMOVED` The event type key for the "Agent token standby removed" SYSTEM operation.
`static java.lang.String` | `SYSTEM_NODE_TOKEN_CREATED` The event type key for the "Node token created" SYSTEM operation.
`static java.lang.String` | `SYSTEM_NODE_TOKEN_EXPIRED` The event type key for the "Node token expired" SYSTEM operation.
`static java.lang.String` | `SYSTEM_NOTIFIED` The event type key for the "SYSTEM notified" operation.
`static java.lang.String` | `SYSTEM_UPGRADED` The event type key for the "SYSTEM upgraded" operation.
`static java.lang.String` | `TOKEN_NAME_AGENT_PREFIX` The prefix to use for TokenValues of tokens used for agent registration.
`static java.lang.String` | `TOKEN_NAME_HANDLER_PREFIX` The prefix to use for TokenValues of tokens used for handler registration.
`static java.lang.String` | `TOKEN_NAME_INTERNAL_AGENT_PREFIX` The prefix to use for TokenValues of tokens used for internal (Oracle-supplied) agent registration.
`static java.lang.String` | `TOKEN_NAME_NODE_PREFIX` The prefix to use for TokenValues of tokens used for node registration.

Constructor Summary
`ClusteringUtilities()`

Method Summary
`static void` | `addDeclaredAgentNode(LibrarySession session, java.lang.String nodeName)` Adds the specified node to the list of declared agent nodes.
`protected static void` | `addNodeTokenInfo(java.util.List list, ApplicationToken token)` Adds info for a node token to the specified list, including the servers associated with it also.
`static ApplicationToken` | `findOrCreateToken(LibrarySession session, java.lang.String tokenValue, java.lang.String tokenInfo, java.lang.String tokenDesc)` Finds or creates the token matching the specified Token value.
`static ApplicationToken` | `findToken(LibrarySession session, java.lang.String tokenValue)` Finds the token matching the specified Token value.
`static java.util.List` | `getAllServerTokenInfoByNode(LibrarySession session)` Selects a list of strings that reflects the set of all server tokens, grouped by the registered node.
`protected static boolean` | `getBooleanClusteringProperty(LibrarySession session, java.lang.String key, boolean defVal)` Gets the value of a boolean clustering property.
`static AttributeValue` | `getClusteringProperty(LibrarySession session, java.lang.String key)` Gets a clustering property by key.
`static PropertyBundle` | `getClusteringPropertyBundle(LibrarySession session)` Gets the PropertyBundle used to hold the clustering properties.
`static java.lang.String[]` | `getDeclaredAgentIdentifiers(LibrarySession session)` Gets the set of declared agent identifiers.
`static java.lang.String[]` | `getDeclaredAgentNodes(LibrarySession session)` Gets the set of declared nodes that will service agents.
`protected static PublicObject` | `getDefaultDomain(LibrarySession session)` Gets the default domain for the instance.
`static java.lang.String[]` | `getDisabledAgentIdentifiers(LibrarySession session)` Gets the set of disabled agent identifiers.
`protected static int` | `getIntegerClusteringProperty(LibrarySession session, java.lang.String key, int defVal)` Gets the value of a integer clustering property.
`protected static long` | `getLongClusteringProperty(LibrarySession session, java.lang.String key, long defVal)` Gets the value of a Long clustering property.
`protected static java.lang.String` | `getNodeTokenString(ApplicationToken token, java.lang.String indent)` Gets a string that reflects the specified node token.
`protected static java.lang.String` | `getPaddingString(java.lang.String tokenValue, int paddedLength)` Returns a string that has blanks padded to the end of the specified string such the result is the specified length.
`static java.lang.String` | `getRegistrationPeriod(LibrarySession session)` Gets the period that servers should recheck their registrations.
`static long` | `getRegistrationPeriodValue(LibrarySession session)` Gets the numeric value of the registration period, in milliseconds.
`protected static java.lang.String` | `getServerTokenString(ApplicationToken token, java.lang.String indent)` Gets a string that reflects the specified server token.
`protected static java.lang.String[]` | `getStringArrayClusteringProperty(LibrarySession session, java.lang.String key, java.lang.String[] defVal)` Gets the value of a String[] clustering property.
`protected static java.lang.String` | `getStringClusteringProperty(LibrarySession session, java.lang.String key, java.lang.String defVal)` Gets the value of a String clustering property.
`static void` | `initializeClusteringPropertyBundle(LibrarySession session)` Initializes the Clustering PropertyBundle with the default set of the clustering properties and their default values.
`static boolean` | `isAgentIdentifierDisabled(LibrarySession session, java.lang.String agentId)` Checks the specified agent ID to see if it is on the disabled list.
`static boolean` | `isDeclaredAgentNode(LibrarySession session, java.lang.String nodeName)` Returns indication as to whether the specified node is in the current list of declared nodes.
`static boolean` | `isEventNotificationEnabled(LibrarySession session)` Gets indication as to whether event notifications are enabled.
`static void` | `postAgentTokenFreed(LibrarySession session, java.lang.String agentId, java.lang.String execNodeId)` Posts an audit event reflecting an agent token being freed.
`static void` | `postAgentTokenHolderAdded(LibrarySession session, java.lang.String agentId, java.lang.String nodeId, java.lang.String regTypeStr, boolean isRegistree)` Posts an audit event reflecting an agent token having its registree or standby set.
`static void` | `postAgentTokenHolderExpired(LibrarySession session, java.lang.String agentId, java.lang.String nodeId, java.lang.String execNodeId, java.lang.String regTypeStr, boolean isRegistree)` Posts an audit event reflecting an agent token having its registree or standby expired, due to its token being expired.
`static void` | `postAgentTokenHolderRemoved(LibrarySession session, java.lang.String agentId, java.lang.String nodeId, java.lang.String regTypeStr, boolean isRegistree)` Posts an audit event reflecting an agent token having its registree or standby cleared.
`static void` | `postClusteringChangeNotification(LibrarySession session)` Posts a notification of a clustering change to all agents.
`static void` | `postClusteringChangeNotification(LibrarySession session, ApplicationToken appToken)` Posts a notification of a clustering change to all agents.
`static void` | `postNodeTokenExpired(LibrarySession session, java.lang.String tokenValue, java.lang.String tokenInfo, java.lang.String execNodeId)` Posts an audit event reflecting a node token expiration.
`static void` | `postTokenCreation(LibrarySession session, java.lang.String tokenValue, java.lang.String tokenInfo)` Posts an audit event reflecting a token creation.
`static ApplicationToken[]` | `selectAllNodeTokens(LibrarySession session)` Selects all ApplicationToken instances that reflect a node registration.
`static ApplicationToken[]` | `selectAllServerTokens(LibrarySession session)` Selects all ApplicationToken instances that reflect server (agent or handler) registrations.
`protected static ApplicationToken[]` | `selectAllTokensByPattern(LibrarySession session, java.lang.String stmtKey, java.lang.String searchQual, AttributeValue[] bindValues)` Selects all ApplicationToken instances that reflect a server registration.
`static ApplicationToken[]` | `selectServerTokensByNode(LibrarySession session, java.lang.String info)` Selects all ApplicationToken instances that reflect a server registration and match a specified TokenInfo value, which reflects the node registration.
`static void` | `setClusteringProperty(LibrarySession session, java.lang.String key, AttributeValue value)` Sets the value of a clustering property.
`static void` | `setDeclaredAgentIdentifiers(LibrarySession session, java.lang.String[] value)` Sets the set of declared agent identifiers.
`static void` | `setDeclaredAgentNodes(LibrarySession session, java.lang.String[] value)` Sets the set of declared nodes that will service agents.
`static void` | `setDisabledAgentIdentifiers(LibrarySession session, java.lang.String[] value)` Sets the set of disabled agent identifiers.
`static void` | `setEventNotificationEnabled(LibrarySession session, java.lang.Boolean value)` Sets indication as to whether event notifications are enabled.
`static void` | `setRegistrationPeriod(LibrarySession session, java.lang.String value)` Sets the period that servers should recheck their registrations.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TOKEN_NAME_NODE_PREFIX

    public static final java.lang.String TOKEN_NAME_NODE_PREFIX

  Description copied from class: `ClusteringUtilities`
  The prefix to use for TokenValues of tokens used for node registration.

  Currently has the value "IFS.NODE.".

  See Also:
    Constant Field Values

### TOKEN_NAME_AGENT_PREFIX

    public static final java.lang.String TOKEN_NAME_AGENT_PREFIX

  Description copied from class: `ClusteringUtilities`
  The prefix to use for TokenValues of tokens used for agent registration.

  Currently has the value "IFS.AGENT.".

  See Also:
    Constant Field Values

### TOKEN_NAME_INTERNAL_AGENT_PREFIX

    public static final java.lang.String TOKEN_NAME_INTERNAL_AGENT_PREFIX

  Description copied from class: `ClusteringUtilities`
  The prefix to use for TokenValues of tokens used for internal (Oracle-supplied) agent registration.

  Currently has the value "IFS.AGENT.INTERNAL.".

  See Also:
    Constant Field Values

### TOKEN_NAME_HANDLER_PREFIX

    public static final java.lang.String TOKEN_NAME_HANDLER_PREFIX

  Description copied from class: `ClusteringUtilities`
  The prefix to use for TokenValues of tokens used for handler registration.

  Currently has the value "IFS.HANDLER.".

  See Also:
    Constant Field Values

### NODE_REGISTRATION_TYPE_ACTIVE

    public static final java.lang.String NODE_REGISTRATION_TYPE_ACTIVE

  Description copied from class: `ClusteringUtilities`
  The Registration type value used classify active node registrations.

  Currently has the value "Active".

  See Also:
    Constant Field Values

### NODE_REGISTRATION_TYPE_EXPIRED

    public static final java.lang.String NODE_REGISTRATION_TYPE_EXPIRED

  Description copied from class: `ClusteringUtilities`
  The Registration type value used classify expired node registrations.

  Currently has the value "Expired".

  See Also:
    Constant Field Values

### PROPERTY_DECLARED_AGENT_NODES

    public static final java.lang.String PROPERTY_DECLARED_AGENT_NODES

  Description copied from class: `ClusteringUtilities`
  The name of the clustering property that contains the set of declared nodes that will service agents.

  Datatype of property value: String[].

  See Also:
    Constant Field Values

### PROPERTY_DECLARED_AGENT_IDENTIFIERS

    public static final java.lang.String PROPERTY_DECLARED_AGENT_IDENTIFIERS

  Description copied from class: `ClusteringUtilities`
  The name of the clustering property that contains the set of declared agent identifiers.

  Datatype of property value: String[].

  See Also:
    Constant Field Values

### PROPERTY_DISABLED_AGENT_IDENTIFIERS

    public static final java.lang.String PROPERTY_DISABLED_AGENT_IDENTIFIERS

  Description copied from class: `ClusteringUtilities`
  The name of the clustering property that contains the set of disabled agent identifiers.

  Datatype of property value: String[].

  See Also:
    Constant Field Values

### PROPERTY_REGISTRATION_PERIOD

    public static final java.lang.String PROPERTY_REGISTRATION_PERIOD

  Description copied from class: `ClusteringUtilities`
  The name of the clustering property that holds the time period for re-checking a server's registration state.

  Datatype of property value: String.

  See Also:
    Constant Field Values

### PROPERTY_EVENT_NOTIFICATION_ENABLED

    public static final java.lang.String PROPERTY_EVENT_NOTIFICATION_ENABLED

  Description copied from class: `ClusteringUtilities`
  The name of the clustering property that indicates whether automatic event notification is enabled.

  Datatype of property value: Boolean.

  See Also:
    Constant Field Values

### DEFAULT_DECLARED_AGENT_NODES

    public static final java.lang.String[] DEFAULT_DECLARED_AGENT_NODES

  Description copied from class: `ClusteringUtilities`
  Default value for the clustering property that contains the set of declared nodes that will service agents.

### DEFAULT_DECLARED_AGENT_IDENTIFIERS

    public static final java.lang.String[] DEFAULT_DECLARED_AGENT_IDENTIFIERS

  Description copied from class: `ClusteringUtilities`
  Default value for the clustering property that contains the set of disabled agent identifiers.

### DEFAULT_DISABLED_AGENT_IDENTIFIERS

    public static final java.lang.String[] DEFAULT_DISABLED_AGENT_IDENTIFIERS

  Description copied from class: `ClusteringUtilities`
  Default value for the clustering property that contains the set of disabled agent identifiers.

### DEFAULT_REGISTRATION_PERIOD

    public static final java.lang.String DEFAULT_REGISTRATION_PERIOD

  Description copied from class: `ClusteringUtilities`
  Default value for the clustering property that holds the period for refreshing token registration.

  See Also:
    Constant Field Values

### DEFAULT_EVENT_NOTIFICATION_ENABLED

    public static final boolean DEFAULT_EVENT_NOTIFICATION_ENABLED

  Description copied from class: `ClusteringUtilities`
  Default value for the clustering property that indicates whether automatic event notification is enabled.

  See Also:
    Constant Field Values

### DEFAULT_REGISTRATION_PERIOD_VALUE

    public static final long DEFAULT_REGISTRATION_PERIOD_VALUE

  Description copied from class: `ClusteringUtilities`
  Default numeric value for the default registration period, in milliseconds.

  See Also:
    Constant Field Values

### SYSTEM_UPGRADED

    public static final java.lang.String SYSTEM_UPGRADED

  Description copied from class: `ClusteringUtilities`
  The event type key for the "SYSTEM upgraded" operation.

  See Also:
    Constant Field Values

### SYSTEM_NOTIFIED

    public static final java.lang.String SYSTEM_NOTIFIED

  Description copied from class: `ClusteringUtilities`
  The event type key for the "SYSTEM notified" operation.

  See Also:
    Constant Field Values

### SYSTEM_NODE_TOKEN_CREATED

    public static final java.lang.String SYSTEM_NODE_TOKEN_CREATED

  Description copied from class: `ClusteringUtilities`
  The event type key for the "Node token created" SYSTEM operation.

  See Also:
    Constant Field Values

### SYSTEM_NODE_TOKEN_EXPIRED

    public static final java.lang.String SYSTEM_NODE_TOKEN_EXPIRED

  Description copied from class: `ClusteringUtilities`
  The event type key for the "Node token expired" SYSTEM operation.

  See Also:
    Constant Field Values

### SYSTEM_AGENT_TOKEN_CREATED

    public static final java.lang.String SYSTEM_AGENT_TOKEN_CREATED

  Description copied from class: `ClusteringUtilities`
  The event type key for the "Agent token created" SYSTEM operation.

  See Also:
    Constant Field Values

### SYSTEM_AGENT_TOKEN_FREED

    public static final java.lang.String SYSTEM_AGENT_TOKEN_FREED

  Description copied from class: `ClusteringUtilities`
  The event type key for the "Agent token freed" SYSTEM operation.

  See Also:
    Constant Field Values

### SYSTEM_AGENT_TOKEN_REGISTREE_ADDED

    public static final java.lang.String SYSTEM_AGENT_TOKEN_REGISTREE_ADDED

  Description copied from class: `ClusteringUtilities`
  The event type key for the "Agent token registree added" SYSTEM operation.

  See Also:
    Constant Field Values

### SYSTEM_AGENT_TOKEN_REGISTREE_REMOVED

    public static final java.lang.String SYSTEM_AGENT_TOKEN_REGISTREE_REMOVED

  Description copied from class: `ClusteringUtilities`
  The event type key for the "Agent token registree removed" SYSTEM operation.

  See Also:
    Constant Field Values

### SYSTEM_AGENT_TOKEN_REGISTREE_EXPIRED

    public static final java.lang.String SYSTEM_AGENT_TOKEN_REGISTREE_EXPIRED

  Description copied from class: `ClusteringUtilities`
  The event type key for the "Agent token registree expired" SYSTEM operation.

  See Also:
    Constant Field Values

### SYSTEM_AGENT_TOKEN_STANDBY_ADDED

    public static final java.lang.String SYSTEM_AGENT_TOKEN_STANDBY_ADDED

  Description copied from class: `ClusteringUtilities`
  The event type key for the "Agent token standby added" SYSTEM operation.

  See Also:
    Constant Field Values

### SYSTEM_AGENT_TOKEN_STANDBY_REMOVED

    public static final java.lang.String SYSTEM_AGENT_TOKEN_STANDBY_REMOVED

  Description copied from class: `ClusteringUtilities`
  The event type key for the "Agent token standby removed" SYSTEM operation.

  See Also:
    Constant Field Values

### SYSTEM_AGENT_TOKEN_STANDBY_EXPIRED

    public static final java.lang.String SYSTEM_AGENT_TOKEN_STANDBY_EXPIRED

  Description copied from class: `ClusteringUtilities`
  The event type key for the "Agent token standby expired" SYSTEM operation.

  See Also:
    Constant Field Values

Constructor Detail

### ClusteringUtilities

    public ClusteringUtilities()

Method Detail

### getClusteringPropertyBundle

    public static PropertyBundle getClusteringPropertyBundle(LibrarySession session)
                                                      throws IfsException

  Description copied from class: `ClusteringUtilities`
  Gets the PropertyBundle used to hold the clustering properties.

  Can return null, which implies no properties are defined.

  Parameters:
    `session` - the session context
  Returns:
    the clustering properties PropertyBundle
  Throws:
    `IfsException` - if the operation fails

### initializeClusteringPropertyBundle

    public static void initializeClusteringPropertyBundle(LibrarySession session)
                                                   throws IfsException

  Description copied from class: `ClusteringUtilities`
  Initializes the Clustering PropertyBundle with the default set of the clustering properties and their default values.

  Parameters:
    `session` - the session context
  Throws:
    `IfsException` - if the operation fails

### getDeclaredAgentNodes

    public static java.lang.String[] getDeclaredAgentNodes(LibrarySession session)
                                                    throws IfsException

  Description copied from class: `ClusteringUtilities`
  Gets the set of declared nodes that will service agents.

  May return null, indicating that no nodes are declared. Any undeclared node will run with default responsibility (typically backup) for the agent idenitifiers.

  Parameters:
    `session` - the session context
  Returns:
    set of declared agent nodes
  Throws:
    `IfsException` - if the operation fails

### isDeclaredAgentNode

    public static boolean isDeclaredAgentNode(LibrarySession session,
                                              java.lang.String nodeName)
                                       throws IfsException

  Description copied from class: `ClusteringUtilities`
  Returns indication as to whether the specified node is in the current list of declared nodes.

  A NullPointerException will occur if the specified node name is null.

  Parameters:
    `session` - the session context
    `nodeName` - the node name to check
  Returns:
    true if the specified node name is in the list of declared agent nodes; false otherwise
  Throws:
    `IfsException` - if the operation fails

### getDeclaredAgentIdentifiers

    public static java.lang.String[] getDeclaredAgentIdentifiers(LibrarySession session)
                                                          throws IfsException

  Description copied from class: `ClusteringUtilities`
  Gets the set of declared agent identifiers.

  May return null, indicating that no agent identifiers are declared.

  Declared agent identifiers are ones that have explicit load balancing information declared related to their execution. Agent identifiers that are neither declared nor disabled are handled in the default manner.

  Parameters:
    `session` - the session context
  Returns:
    set of declared agent identifiers
  Throws:
    `IfsException` - if the operation fails

### getDisabledAgentIdentifiers

    public static java.lang.String[] getDisabledAgentIdentifiers(LibrarySession session)
                                                          throws IfsException

  Description copied from class: `ClusteringUtilities`
  Gets the set of disabled agent identifiers.

  May return null, indicating that no agent identifiers are disabled.

  Any agentattempting to register for an agent identifier listed in this property will be denied.

  Parameters:
    `session` - the session context
  Returns:
    set of disabled agent identifiers
  Throws:
    `IfsException` - if the operation fails

### getRegistrationPeriod

    public static java.lang.String getRegistrationPeriod(LibrarySession session)
                                                  throws IfsException

  Description copied from class: `ClusteringUtilities`
  Gets the period that servers should recheck their registrations.

  The period is expressed as a string, e.g. "5M" for minutes. The period is used by servers to internally re-check their registration status at no less frequent than the period indicated.

  Parameters:
    `session` - the session context
  Returns:
    the registration period
  Throws:
    `IfsException` - if the operation fails

### getRegistrationPeriodValue

    public static long getRegistrationPeriodValue(LibrarySession session)
                                           throws IfsException

  Description copied from class: `ClusteringUtilities`
  Gets the numeric value of the registration period, in milliseconds.

  Converts the string returned from `getRegistrationPeriod` to a time period, in milliseconds. Also performs validation and range checking, returning default values if the input is invalid.

  Parameters:
    `session` - the session context
  Returns:
    the registration period
  Throws:
    `IfsException` - if the operation fails

### isEventNotificationEnabled

    public static boolean isEventNotificationEnabled(LibrarySession session)
                                              throws IfsException

  Description copied from class: `ClusteringUtilities`
  Gets indication as to whether event notifications are enabled.

  Event notifications are indicated by posting a CMSDK event via `ClusteringUtilities.postClusteringChangeNotification`. These can be disabled manually, resulting in a strictly timer-based model for handling load balancing operations.

  Parameters:
    `session` - the session context
  Returns:
    the indication as to whether event notifications are enabled.
  Throws:
    `IfsException` - if the operation fails

### isAgentIdentifierDisabled

    public static boolean isAgentIdentifierDisabled(LibrarySession session,
                                                    java.lang.String agentId)
                                             throws IfsException

  Description copied from class: `ClusteringUtilities`
  Checks the specified agent ID to see if it is on the disabled list.

  Returns:
    true if the specified agent ID is disabled; false otherwise
  Throws:
    `IfsException` - if the operation fails

### setDeclaredAgentNodes

    public static void setDeclaredAgentNodes(LibrarySession session,
                                             java.lang.String[] value)
                                      throws IfsException

  Description copied from class: `ClusteringUtilities`
  Sets the set of declared nodes that will service agents.

  Parameters:
    `session` - the session context
    `value` - the set of declared agent nodes
  Throws:
    `IfsException` - if the operation fails

### addDeclaredAgentNode

    public static void addDeclaredAgentNode(LibrarySession session,
                                            java.lang.String nodeName)
                                     throws IfsException

  Description copied from class: `ClusteringUtilities`
  Adds the specified node to the list of declared agent nodes. A NullPointerException will occur if the specified node name is null. No change is made and no exception occurs if the specified node name is already in the declared agent node list.

  Parameters:
    `session` - the session context
    `nodeName` - the node name to add to list of declared agent nodes
  Throws:
    `IfsException` - if the operation fails

### setDeclaredAgentIdentifiers

    public static void setDeclaredAgentIdentifiers(LibrarySession session,
                                                   java.lang.String[] value)
                                            throws IfsException

  Description copied from class: `ClusteringUtilities`
  Sets the set of declared agent identifiers.

  Parameters:
    `session` - the session context
    `value` - the set of declared agent identifiers
  Throws:
    `IfsException` - if the operation fails

### setDisabledAgentIdentifiers

    public static void setDisabledAgentIdentifiers(LibrarySession session,
                                                   java.lang.String[] value)
                                            throws IfsException

  Description copied from class: `ClusteringUtilities`
  Sets the set of disabled agent identifiers.

  Parameters:
    `session` - the session context
    `value` - the set of disabled agent identifiers
  Throws:
    `IfsException` - if the operation fails

### setRegistrationPeriod

    public static void setRegistrationPeriod(LibrarySession session,
                                             java.lang.String value)
                                      throws IfsException

  Description copied from class: `ClusteringUtilities`
  Sets the period that servers should recheck their registrations.

  Parameters:
    `session` - the session context
    `value` - the registration period
  Throws:
    `IfsException` - if the operation fails

### setEventNotificationEnabled

    public static void setEventNotificationEnabled(LibrarySession session,
                                                   java.lang.Boolean value)
                                            throws IfsException

  Description copied from class: `ClusteringUtilities`
  Sets indication as to whether event notifications are enabled.

  Parameters:
    `session` - the session context
    `value` - the indication as to whether event notifications are enabled.
  Throws:
    `IfsException` - if the operation fails

### getClusteringProperty

    public static AttributeValue getClusteringProperty(LibrarySession session,
                                                       java.lang.String key)
                                                throws IfsException

  Description copied from class: `ClusteringUtilities`
  Gets a clustering property by key.

  Returns null if the property is not defined.

  Parameters:
    `session` - the session context
    `key` - the property key
  Returns:
    the property value, or null if not defined
  Throws:
    `IfsException` - if the operation fails

### selectAllNodeTokens

    public static ApplicationToken[] selectAllNodeTokens(LibrarySession session)
                                                  throws IfsException

  Description copied from class: `ClusteringUtilities`
  Selects all ApplicationToken instances that reflect a node registration.

  Parameters:
    `session` - the session context
  Returns:
    the tokens
  Throws:
    `IfsException` - if the operation fails

### selectAllServerTokens

    public static ApplicationToken[] selectAllServerTokens(LibrarySession session)
                                                    throws IfsException

  Description copied from class: `ClusteringUtilities`
  Selects all ApplicationToken instances that reflect server (agent or handler) registrations.

  Parameters:
    `session` - the session context
  Returns:
    the tokens
  Throws:
    `IfsException` - if the operation fails

### selectServerTokensByNode

    public static ApplicationToken[] selectServerTokensByNode(LibrarySession session,
                                                              java.lang.String info)
                                                       throws IfsException

  Description copied from class: `ClusteringUtilities`
  Selects all ApplicationToken instances that reflect a server registration and match a specified TokenInfo value, which reflects the node registration.

  Parameters:
    `session` - the session context
    `info` - the token info value to search for
  Returns:
    the tokens
  Throws:
    `IfsException` - if the operation fails

### selectAllTokensByPattern

    protected static ApplicationToken[] selectAllTokensByPattern(LibrarySession session,
                                                                 java.lang.String stmtKey,
                                                                 java.lang.String searchQual,
                                                                 AttributeValue[] bindValues)
                                                          throws IfsException

  Description copied from class: `ClusteringUtilities`
  Selects all ApplicationToken instances that reflect a server registration.

  Parameters:
    `session` - the session context
    `stmtKey` - the statement key
    `searchQual` - the search qualification
    `bindValues` - the bind values
  Returns:
    the tokens
  Throws:
    `IfsException` - if the operation fails

### findToken

    public static ApplicationToken findToken(LibrarySession session,
                                             java.lang.String tokenValue)
                                      throws IfsException

  Description copied from class: `ClusteringUtilities`
  Finds the token matching the specified Token value.

  Parameters:
    `session` - the session context
    `tokenValue` - the token value
  Returns:
    the token, or null if there is not one
  Throws:
    `IfsException` - if the operation fails

### findOrCreateToken

    public static ApplicationToken findOrCreateToken(LibrarySession session,
                                                     java.lang.String tokenValue,
                                                     java.lang.String tokenInfo,
                                                     java.lang.String tokenDesc)
                                              throws IfsException

  Description copied from class: `ClusteringUtilities`
  Finds or creates the token matching the specified Token value.

  Parameters:
    `session` - the session context
    `tokenValue` - the token value
    `tokenInfo` - the token info, used only if a new token is created
    `tokenDesc` - the token description, used only if a new token is created
  Returns:
    the token
  Throws:
    `IfsException` - if the operation fails

### getAllServerTokenInfoByNode

    public static java.util.List getAllServerTokenInfoByNode(LibrarySession session)
                                                      throws IfsException

  Description copied from class: `ClusteringUtilities`
  Selects a list of strings that reflects the set of all server tokens, grouped by the registered node.

  Parameters:
    `session` - the session context
  Returns:
    the list of String reflecting the server tokens
  Throws:
    `IfsException` - if the operation fails

### addNodeTokenInfo

    protected static void addNodeTokenInfo(java.util.List list,
                                           ApplicationToken token)
                                    throws IfsException

  Description copied from class: `ClusteringUtilities`
  Adds info for a node token to the specified list, including the servers associated with it also.

  Parameters:
    `list` - the list to add the info to
    `token` - the token
  Throws:
    `IfsException` - if the operation fails

### getNodeTokenString

    protected static java.lang.String getNodeTokenString(ApplicationToken token,
                                                         java.lang.String indent)
                                                  throws IfsException

  Description copied from class: `ClusteringUtilities`
  Gets a string that reflects the specified node token.

  Parameters:
    `token` - the token
    `indent` - the indention
  Returns:
    the string representation of the token
  Throws:
    `IfsException` - if the operation fails

### getServerTokenString

    protected static java.lang.String getServerTokenString(ApplicationToken token,
                                                           java.lang.String indent)
                                                    throws IfsException

  Description copied from class: `ClusteringUtilities`
  Gets a string that reflects the specified server token.

  Parameters:
    `token` - the token
    `indent` - the indention
  Returns:
    the string representation of the token
  Throws:
    `IfsException` - if the operation fails

### getPaddingString

    protected static java.lang.String getPaddingString(java.lang.String tokenValue,
                                                       int paddedLength)

  Description copied from class: `ClusteringUtilities`
  Returns a string that has blanks padded to the end of the specified string such the result is the specified length.

  Parameters:
    `tokenValue` - the token
    `paddedLength` - the size to pad to
  Returns:
    the padded string

### postTokenCreation

    public static void postTokenCreation(LibrarySession session,
                                         java.lang.String tokenValue,
                                         java.lang.String tokenInfo)
                                  throws IfsException

  Description copied from class: `ClusteringUtilities`
  Posts an audit event reflecting a token creation.

  Parameters:
    `session` - the session context
    `tokenValue` - the token value (agent ID or node's token ID)
    `tokenInfo` - the token info (node ID for node tokens)
  Throws:
    `IfsException` - if the operation fails

### postNodeTokenExpired

    public static void postNodeTokenExpired(LibrarySession session,
                                            java.lang.String tokenValue,
                                            java.lang.String tokenInfo,
                                            java.lang.String execNodeId)
                                     throws IfsException

  Description copied from class: `ClusteringUtilities`
  Posts an audit event reflecting a node token expiration.

  Parameters:
    `session` - the session context
    `tokenValue` - the node's token ID
    `tokenInfo` - the node ID for the node token
    `execNodeId` - the node ID executing the operation
  Throws:
    `IfsException` - if the operation fails

### postAgentTokenFreed

    public static void postAgentTokenFreed(LibrarySession session,
                                           java.lang.String agentId,
                                           java.lang.String execNodeId)
                                    throws IfsException

  Description copied from class: `ClusteringUtilities`
  Posts an audit event reflecting an agent token being freed.

  Parameters:
    `session` - the session context
    `agentId` - the agent ID
    `execNodeId` - the node ID executing the operation
  Throws:
    `IfsException` - if the operation fails

### postAgentTokenHolderAdded

    public static void postAgentTokenHolderAdded(LibrarySession session,
                                                 java.lang.String agentId,
                                                 java.lang.String nodeId,
                                                 java.lang.String regTypeStr,
                                                 boolean isRegistree)
                                          throws IfsException

  Description copied from class: `ClusteringUtilities`
  Posts an audit event reflecting an agent token having its registree or standby set.

  Parameters:
    `session` - the session context
    `agentId` - the agent ID
    `nodeId` - the node ID being added
    `regTypeStr` - the registration type
    `isRegistree` - true if for the registree; false if for the standby
  Throws:
    `IfsException` - if the operation fails

### postAgentTokenHolderRemoved

    public static void postAgentTokenHolderRemoved(LibrarySession session,
                                                   java.lang.String agentId,
                                                   java.lang.String nodeId,
                                                   java.lang.String regTypeStr,
                                                   boolean isRegistree)
                                            throws IfsException

  Description copied from class: `ClusteringUtilities`
  Posts an audit event reflecting an agent token having its registree or standby cleared.

  Parameters:
    `session` - the session context
    `agentId` - the agent ID
    `nodeId` - the node ID being added
    `regTypeStr` - the registration type
    `isRegistree` - true if for the registree; false if for the standby
  Throws:
    `IfsException` - if the operation fails

### postAgentTokenHolderExpired

    public static void postAgentTokenHolderExpired(LibrarySession session,
                                                   java.lang.String agentId,
                                                   java.lang.String nodeId,
                                                   java.lang.String execNodeId,
                                                   java.lang.String regTypeStr,
                                                   boolean isRegistree)
                                            throws IfsException

  Description copied from class: `ClusteringUtilities`
  Posts an audit event reflecting an agent token having its registree or standby expired, due to its token being expired.

  Parameters:
    `session` - the session context
    `agentId` - the agent ID
    `nodeId` - the node ID being added
    `execNodeId` - the node ID executing the operation
    `regTypeStr` - the registration type
    `isRegistree` - true if for the registree; false if for the standby
  Throws:
    `IfsException` - if the operation fails

### getDefaultDomain

    protected static PublicObject getDefaultDomain(LibrarySession session)
                                            throws IfsException

  Description copied from class: `ClusteringUtilities`
  Gets the default domain for the instance.

  This can return null if no Domains exist in the instance.

  Parameters:
    `session` - the current session
  Returns:
    the default Domain
  Throws:
    `IfsException` - if the operation fails
  (Published)

### postClusteringChangeNotification

    public static void postClusteringChangeNotification(LibrarySession session)
                                                 throws IfsException

  Description copied from class: `ClusteringUtilities`
  Posts a notification of a clustering change to all agents.

  Parameters:
    `session` - the session context
  Throws:
    `IfsException` - if the operation fails

### postClusteringChangeNotification

    public static void postClusteringChangeNotification(LibrarySession session,
                                                        ApplicationToken appToken)
                                                 throws IfsException

  Description copied from class: `ClusteringUtilities`
  Posts a notification of a clustering change to all agents.

  Parameters:
    `session` - the session context
    `appToken` - the ApplicationToken affected, or null if notification applies to all tokens
  Throws:
    `IfsException` - if the operation fails

### getLongClusteringProperty

    protected static long getLongClusteringProperty(LibrarySession session,
                                                    java.lang.String key,
                                                    long defVal)
                                             throws IfsException

  Description copied from class: `ClusteringUtilities`
  Gets the value of a Long clustering property.

  Parameters:
    `session` - the session context
    `key` - the clustering property key
    `defVal` - the default value to use
  Returns:
    the value of the clustering property
  Throws:
    `IfsException` - if the operation fails

### getIntegerClusteringProperty

    protected static int getIntegerClusteringProperty(LibrarySession session,
                                                      java.lang.String key,
                                                      int defVal)
                                               throws IfsException

  Description copied from class: `ClusteringUtilities`
  Gets the value of a integer clustering property.

  Parameters:
    `session` - the session context
    `key` - the clustering property key
    `defVal` - the default value to use
  Returns:
    the value of the clustering property
  Throws:
    `IfsException` - if the operation fails

### getBooleanClusteringProperty

    protected static boolean getBooleanClusteringProperty(LibrarySession session,
                                                          java.lang.String key,
                                                          boolean defVal)
                                                   throws IfsException

  Description copied from class: `ClusteringUtilities`
  Gets the value of a boolean clustering property.

  Parameters:
    `session` - the session context
    `key` - the clustering property key
    `defVal` - the default value to use
  Returns:
    the value of the clustering property
  Throws:
    `IfsException` - if the operation fails

### getStringClusteringProperty

    protected static java.lang.String getStringClusteringProperty(LibrarySession session,
                                                                  java.lang.String key,
                                                                  java.lang.String defVal)
                                                           throws IfsException

  Description copied from class: `ClusteringUtilities`
  Gets the value of a String clustering property.

  Parameters:
    `session` - the session context
    `key` - the clustering property key
    `defVal` - the default value to use
  Returns:
    the value of the clustering property
  Throws:
    `IfsException` - if the operation fails

### getStringArrayClusteringProperty

    protected static java.lang.String[] getStringArrayClusteringProperty(LibrarySession session,
                                                                         java.lang.String key,
                                                                         java.lang.String[] defVal)
                                                                  throws IfsException

  Description copied from class: `ClusteringUtilities`
  Gets the value of a String[] clustering property.

  Parameters:
    `session` - the session context
    `key` - the clustering property key
    `defVal` - the default value to use
  Returns:
    the value of the clustering property
  Throws:
    `IfsException` - if the operation fails

### setClusteringProperty

    public static void setClusteringProperty(LibrarySession session,
                                             java.lang.String key,
                                             AttributeValue value)
                                      throws IfsException

  Description copied from class: `ClusteringUtilities`
  Sets the value of a clustering property.

  Parameters:
    `session` - the session context
    `key` - the clustering property key
    `value` - the value to use
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD